package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.IfaImportedFundInfo;
import com.tanpu.fund.entity.generator.IfaImportedFundInfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface IfaImportedFundInfoMapper {
    long countByExample(IfaImportedFundInfoExample example);

    int deleteByExample(IfaImportedFundInfoExample example);

    /**
     * delete by primary key
     *
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(IfaImportedFundInfo record);

    int insertOrUpdate(IfaImportedFundInfo record);

    int insertOrUpdateSelective(IfaImportedFundInfo record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(IfaImportedFundInfo record);

    List<IfaImportedFundInfo> selectByExample(IfaImportedFundInfoExample example);

    /**
     * select by primary key
     *
     * @param id primary key
     * @return object by primary key
     */
    IfaImportedFundInfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") IfaImportedFundInfo record, @Param("example") IfaImportedFundInfoExample example);

    int updateByExample(@Param("record") IfaImportedFundInfo record, @Param("example") IfaImportedFundInfoExample example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(IfaImportedFundInfo record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(IfaImportedFundInfo record);

    int updateBatch(List<IfaImportedFundInfo> list);

    int batchInsert(@Param("list") List<IfaImportedFundInfo> list);
}