package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.IfaImportedFundNav;
import com.tanpu.fund.entity.generator.IfaImportedFundNavExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface IfaImportedFundNavMapper {
    long countByExample(IfaImportedFundNavExample example);

    int deleteByExample(IfaImportedFundNavExample example);

    /**
     * delete by primary key
     *
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(IfaImportedFundNav record);

    int insertOrUpdate(IfaImportedFundNav record);

    int insertOrUpdateSelective(IfaImportedFundNav record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(IfaImportedFundNav record);

    List<IfaImportedFundNav> selectByExample(IfaImportedFundNavExample example);

    /**
     * select by primary key
     *
     * @param id primary key
     * @return object by primary key
     */
    IfaImportedFundNav selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") IfaImportedFundNav record, @Param("example") IfaImportedFundNavExample example);

    int updateByExample(@Param("record") IfaImportedFundNav record, @Param("example") IfaImportedFundNavExample example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(IfaImportedFundNav record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(IfaImportedFundNav record);

    int updateBatch(List<IfaImportedFundNav> list);

    int batchInsert(@Param("list") List<IfaImportedFundNav> list);
}